GovChecks: Panama TSE Facematch

Validates national identity information and performs biometric face verification against the government’s biometric database.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Webhook response

{
  "data": {
    “documentNumber”: "0-000-0000",
    “Name”: "JOHN",
    “Surname”: "DOE",
    “Gender”: "M/F",
    “birthPlace”:"XXXXXXX",
    “dateOfBirth”:"DD-MM-YYYY",
    “emissionDate”:"DD-MM-YYYY",
    “Expiration”Date:"DD-MM-YYYY",
    “signatureBase64”:"image base64"
  },
  "error": null,
  "metadata": {
    "key": "value"
  }
}

Webhook errors

  "error": {
     "type": "govCheckError",
    "code": "panamaTseFacematch.notFound",
    "message": "No results were found in the database"
  }
  "error": {
    "type": "govCheckError",
    "code": "panamaTseFacematch.notValidParams",
    "message": "The data passed appears to be invalid"
  }
  "error": {
    "type": "govCheckError",
    "code": "panamaTseFacematch.serviceUnavailable",
    "message": "The Panama TSE Facematch service is unavailable"
  }
  "error": {
    "type": "govCheckError",
    "code": "system.internalError",
    "message": "Internal error has occurred"
  }
"error": {
     "type": "govCheckError",
    "code": "panamaTseFacematch.underAge",
    "message": "The document number belongs to an under 12 years old citizen"
  }
"error": {
     "type": "govCheckError",
    "code": "panamaTseFacematch.deceased",
    "message": "The document number belongs to a deceased citizen"
  }
  "error": {
     "type": "govCheckError",
    "code": "panamaTseFacematch.invalid",
    "message": "This document number has an invalid subscription"
  }
  "error": {
     "type": "govCheckError",
    "code": "panamaTseFacematch.faceMismatch",
    "message": "The face in the selfie does not match the photo present in the database"
  }
Body Params
string
required
string
required

Image in Base64

string
required
json
Headers
string
Defaults to application/json
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json